aboutsummaryrefslogtreecommitdiffstats
path: root/openwrt/package/php4/files/php.init
diff options
context:
space:
mode:
authorNicolas Thill <nico@openwrt.org>2005-07-04 17:03:18 +0000
committerNicolas Thill <nico@openwrt.org>2005-07-04 17:03:18 +0000
commitd26d551aa50fbf28a39ab7d254d438e7ea88c132 (patch)
tree001af1f942deb147234a69c37d20c529c594842a /openwrt/package/php4/files/php.init
parent6c0eacad74056fad5a269621c291f68eb32ee81d (diff)
downloadupstream-d26d551aa50fbf28a39ab7d254d438e7ea88c132.tar.gz
upstream-d26d551aa50fbf28a39ab7d254d438e7ea88c132.tar.bz2
upstream-d26d551aa50fbf28a39ab7d254d438e7ea88c132.zip
Add php4 package (Thanks aorlinsk and enzo for the help)
SVN-Revision: 1334
Diffstat (limited to 'openwrt/package/php4/files/php.init')
-rw-r--r--openwrt/package/php4/files/php.init19
1 files changed, 19 insertions, 0 deletions
diff --git a/openwrt/package/php4/files/php.init b/openwrt/package/php4/files/php.init
new file mode 100644
index 0000000000..b29387bd74
--- /dev/null
+++ b/openwrt/package/php4/files/php.init
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+export PHP_FCGI_CHILDREN=''
+PORT=1026
+BIN=/usr/sbin/php
+
+case $1 in
+ start)
+ $BIN -b $PORT &
+ ;;
+ stop)
+ kill `pidof php`
+ ;;
+ *)
+ echo "usage: $0 (start|stop)"
+ exit 1
+esac
+
+exit $?